Issues with to check for Updates with Updates!

I was just checking for any Updates and I got this messages LOL

Any suggestions ? What does this mean ?

Try to change the Repo in /etc/apt/source.list
to nl. or de. instand of us

The common reason for this is due to the incorrect date time in your machine. Please have a check, sync your date time and try again.
Hope that resolves your issue. :slight_smile:
Thanks!

Thanks

I have found out that it was the linux 5.12 kernel rc

I just went back to Linux 5.4 and everything was okay:

Thanks